<div class="container">
    <div class="panel panel-primary">
      <h3>Liste des categories</h3>
  
    <div class="panel-body">
        
        <form #f="ngForm" (ngSubmit)="OnChercher(f.value)">
            <div class="form-group">
            <label>Mot Clé   </label>
            <input type="text"  name="mot_cle" ngModel>
            
            <button type="submit" class="btn btn-primary"> <span class="glyphicon glyphicon-search"></span> Chercher</button>
 </div>
        </form>
<table *ngIf="categories" class="table table-striped">
    <tr>
    
    <th>name</th><th></th><th></th>
    
    <tr *ngFor="let c of categories">
    
        <td>{{c.name}}</td>
        
        <td><a class="btn btn-danger" (click)=" onDeleteuniversites(c.codeUNV)">Supprimer </a></td>
        <td><a class="btn btn-success" (click)="onEdituniversites(c.codeUNV)">Modifier </a></td>
    </tr> 
</table>
  
    </div>
  
  </div>
  
  </div>